%define with_test 1
Name:          jtype
Version:       0.1.2
Release:       %mkrel 1
Summary:       A small library for working with the Java 5 type system
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/jtype/
# svn export http://jtype.googlecode.com/svn/tags/0.1.2/ jtype-0.1.2
# tar czf jtype-0.1.2-src-svn.tar.gz jtype-0.1.2
Source0:       jtype-0.1.2-src-svn.tar.gz
Patch0:        jtype-0.1.2-remove_wagon-svn.patch
Patch1:        jtype-0.1.2-remove_jmock2.patch
BuildRequires: java-devel
%if %with_test
BuildRequires: jmock2
BuildRequires: objenesis
%endif
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: cglib
BuildRequires: maven
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Java 5 introduced a richer type system for generics with Type and its various subtypes,
but lacks any easy way to perform common operations on these types. JType aims to fill this gap.
Features

* A factory to easily create implementations of the various type interfaces. 
* Methods to compare and manipulate type instances, such as checking whether a type is a subtype of another. 
* A generic type literal that provides an equivalent of class literals for types. 

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
JType - A small library for working with the Java 5 type system.

This package contains documentation for %{name}.

%prep
%setup -q -n jtype-%{version}
%patch0 -p0
%if !%with_test
%patch1 -p0
%endif

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.surefire \
  -DartifactId=surefire-junit4 \
  -Dversion=2.8.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-surefire/junit4) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.surefire \
  -DartifactId=surefire-providers \
  -Dversion=2.8.1 \
  -Dpackaging=pom \
  -Dfile=/usr/share/maven2/poms/JPP.maven-surefire-providers.pom \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
	install javadoc:aggregate
	
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jtype-%{version}.jar %{buildroot}%{_javadir}/jtype.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-jtype.pom
%add_maven_depmap JPP-jtype.pom jtype.jar

mkdir -p  %{buildroot}%{_javadocdir}/jtype
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jtype

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jtype.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/jtype



%changelog

* Fri Oct 28 2011 gil <gil> 0.1.2-1.mga2
+ Revision: 159013
- imported package jtype


* Wed Jul 27 2011 gil <gil> 0.1.2-0.mga2
- initial rpm

